Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Befehl gesucht ....

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Befehl gesucht .... (592 mal gelesen)
Ahnungslos-73
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Ahnungslos-73 an!   Senden Sie eine Private Message an Ahnungslos-73  Schreiben Sie einen Gästebucheintrag für Ahnungslos-73

Beiträge: 61
Registriert: 24.02.2021

Autocad 2020
WiN 10 Pro
16GB RAM
Intel(R) Core(TM) i7-8700
CPU@3,20GHz 3,19GHz

erstellt am: 20. Dez. 2021 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo, ich brauche dringend ein Tool/Lisp, dass, wenn ich die DWG schließe - sie gespeichert wird und alle Layer angeschalten werden (blaue Glühbirne) - und weil doch bald Weihnachten ist, hoffe ich, es erbarmt sich einer und schreibt mir kurz so ein Lispchen  ?!

Ich selbst hab keine Ahnung wie das geht.

Würde mich sehr freuen! LG. Katrin

------------------
AUTOCAD-Anwenderin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

SpangMD
Mitglied
Vermessungstechniker


Sehen Sie sich das Profil von SpangMD an!   Senden Sie eine Private Message an SpangMD  Schreiben Sie einen Gästebucheintrag für SpangMD

Beiträge: 11
Registriert: 18.02.2020

AutoCAD MAP 3D

erstellt am: 20. Dez. 2021 14:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ahnungslos-73 10 Unities + Antwort hilfreich

soviel zum Layer einschalten

(defun c:lein()
  (command "-layer" "ein" "*" "")
  (princ)
)

[Diese Nachricht wurde von SpangMD am 20. Dez. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ahnungslos-73
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Ahnungslos-73 an!   Senden Sie eine Private Message an Ahnungslos-73  Schreiben Sie einen Gästebucheintrag für Ahnungslos-73

Beiträge: 61
Registriert: 24.02.2021

Autocad 2020
WiN 10 Pro
16GB RAM
Intel(R) Core(TM) i7-8700
CPU@3,20GHz 3,19GHz

erstellt am: 20. Dez. 2021 14:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

... und anschließend Befehl *speichern* und Befehl *schließen* ... Bitte

------------------
AUTOCAD-Anwenderin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1278
Registriert: 11.01.2006

Win 10
ACAD 2022

erstellt am: 20. Dez. 2021 15:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ahnungslos-73 10 Unities + Antwort hilfreich

Das ist gar nicht mal so einfach 

Wenn du eine Zeichnung schließt die noch nicht gespeichert ist fragt ja ACAD ob gespeichert werden soll.
Dass muss abgefangen werden weil ja erst mal alle Layer eingeschaltet werden sollen.

Wenn du aber schon gespeichert hast wid ja nicht nachgefragt.
Wenn du ACAD schließt oder wenn du sdi auf 1 stellt und eine andere Zeichnung öffnest usw. usw. dann sind das verschiedene Vorgänge die auch verschiedene Befehle verwenden. Das merkst du als Nutzer nicht aber intern läuft da einiges anders und das will ALLES berücksichtigt werden.

Ich kann mal schauen ob das vielleicht mit einem Reactor der aufs Schließen der Zeichnung reagiert machbar ist (das hab ich noch nie ausprobiert  ), hab ich aber erst morgen Zeit dafür.
Wenn du Glück hast gehts.
Oder das weis schon jemand und hat da was in der Schublade, dann her damit.

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ahnungslos-73
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Ahnungslos-73 an!   Senden Sie eine Private Message an Ahnungslos-73  Schreiben Sie einen Gästebucheintrag für Ahnungslos-73

Beiträge: 61
Registriert: 24.02.2021

Autocad 2020
WiN 10 Pro
16GB RAM
Intel(R) Core(TM) i7-8700
CPU@3,20GHz 3,19GHz

erstellt am: 20. Dez. 2021 15:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Oh - das klingt gut und ich verstehe  ! Wäre schön, wenn Du vielleicht morgen was findest  - wenn nicht, vielleicht jemand anderes - ansonsten vieeeelen Dank schon mal !

------------------
AUTOCAD-Anwenderin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20985
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Dez. 2021 18:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ahnungslos-73 10 Unities + Antwort hilfreich

Dieser Wunsch ist doch sicher (hauptsächlich?) dafür gedacht das die Darstellung beim öffnen immer SO zu haben, im eigenen Betrieb, oder?
Dann packe das (command "_.-LAYER" "_th" "*" "_on" "*" "")
in die ACADDOC.lsp.
Diese in einem Supportpfad abgelegt wird beim öffnen einer Datei geladen.

Achtung, ich habe es um TAUEN ergänzt,
Nur AN hilft ja nicht, falls der Layer gefroren ist, oder?


Und wegen anderer Dinge Zoom,
das könnte man auch dort hineinpacken,
was ich aber nicht ganz allgemein empfehle,
weder beim speichern noch beim öffnen.
Mein Empfehlung, auch wenn diese "Lücken" aufweist,
erstelle den Usern/dir einen Button über den geschlossen werden soll.
So hat man die Standardwege unverändert zur Verfügung und die angepasste Variante, wenn man den Knopf benutzt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1278
Registriert: 11.01.2006

Win 10
ACAD 2022

erstellt am: 21. Dez. 2021 07:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ahnungslos-73 10 Unities + Antwort hilfreich

Zitat:
Dann packe das (command "_.-LAYER" "_th" "*" "_on" "*" "")
in die ACADDOC.lsp.

Das ist sogar noch besser 
Da entspann ich mich mal wieder 

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

archtools
Mitglied



Sehen Sie sich das Profil von archtools an!   Senden Sie eine Private Message an archtools  Schreiben Sie einen Gästebucheintrag für archtools

Beiträge: 757
Registriert: 09.10.2004

Entwickler für AutoCAD, BricsCAD u.a., alle Systeme

erstellt am: 22. Dez. 2021 00:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ahnungslos-73 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Andreas Kraus:
Das ist gar nicht mal so einfach  


Das geht IMO ganz simpel mit einem Reaktor, der eingreift, NACHDEM der Befehl aufgerufen wurde, aber BEVOR er ausgeführt wird.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1278
Registriert: 11.01.2006

Win 10
ACAD 2022

erstellt am: 22. Dez. 2021 07:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ahnungslos-73 10 Unities + Antwort hilfreich

Hab ich mir auch gedacht aber ich finde cadffms Lösung wesentlich besser. Die funktioniert auch bei Plänen bei denen im Moment noch Layer aus sind weil sie beim Öffnen und nicht beim Schließen ausgeführt wird.
Ich hatte auch mal was mit so einem Reactor gemacht der vor der Befehlsausführung eingreift. Ist ne Weile her und hab ich auch nie wieder gebraucht, ist aber noch irgendwo in der Schublade (ganz hinten).

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

archtools
Mitglied



Sehen Sie sich das Profil von archtools an!   Senden Sie eine Private Message an archtools  Schreiben Sie einen Gästebucheintrag für archtools

Beiträge: 757
Registriert: 09.10.2004

Entwickler für AutoCAD, BricsCAD u.a., alle Systeme

erstellt am: 22. Dez. 2021 10:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ahnungslos-73 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Andreas Kraus:
Hab ich mir auch gedacht aber ich finde cadffms Lösung wesentlich besser. Die funktioniert auch bei Plänen bei denen im Moment noch Layer aus sind weil sie beim Öffnen und nicht beim Schließen ausgeführt wird.

... falls das das Ziel der Aktion ist. Vielleicht geht's aber auch darum, dass man die DWGs an andere abgeben soll und die Auflage hat, diese in einem bestimmten Zustand abuliefern.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

otterloh
Mitglied



Sehen Sie sich das Profil von otterloh an!   Senden Sie eine Private Message an otterloh  Schreiben Sie einen Gästebucheintrag für otterloh

Beiträge: 186
Registriert: 27.06.2001

AutoCAD 2008, 2010, 2012
Vista, Win7

erstellt am: 22. Dez. 2021 13:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ahnungslos-73 10 Unities + Antwort hilfreich


AHNUNGSLOS.zip

 
Wünsche schöne Weihnachten

Gruß Werner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz